Summary: Plesk PHP Panda is a multi-version php suite 
Name:    plesk-php-panda
Version: 1.0
Release: 3.art
Source0: README
License: AGPL
URL: http://www.atomicorp.com
Group: Development/Languages
Vendor: Atomicorp
Packager: Scott R. Shinn <scott@atomicorp.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

Provides: php-panda

# el5
# php-dba, plesk 11.5 has a newer tokyocabinet package
# removed embedded, not needed

Requires:  atomic-php54-php atomic-php54-php-bcmath atomic-php54-php-cli atomic-php54-php-common atomic-php54-php-devel atomic-php54-php-enchant atomic-php54-php-fpm atomic-php54-php-gd atomic-php54-php-imap atomic-php54-php-interbase atomic-php54-php-intl atomic-php54-php-ldap atomic-php54-php-mbstring atomic-php54-php-mcrypt atomic-php54-php-mssql atomic-php54-php-mysqlnd atomic-php54-php-odbc atomic-php54-php-pdo atomic-php54-php-pgsql atomic-php54-php-process atomic-php54-php-pspell atomic-php54-php-recode atomic-php54-php-snmp atomic-php54-php-soap atomic-php54-php-tidy atomic-php54-php-xml atomic-php54-php-xmlrpc 

Requires: atomic-php55-php atomic-php55-php-bcmath atomic-php55-php-cli atomic-php55-php-common atomic-php55-php-devel atomic-php55-php-enchant atomic-php55-php-fpm atomic-php55-php-gd atomic-php55-php-gmp atomic-php55-php-imap atomic-php55-php-interbase atomic-php55-php-intl atomic-php55-php-ldap atomic-php55-php-mbstring atomic-php55-php-mcrypt atomic-php55-php-mssql atomic-php55-php-mysqlnd atomic-php55-php-odbc atomic-php55-php-opcache atomic-php55-php-pdo atomic-php55-php-pgsql atomic-php55-php-process atomic-php55-php-pspell atomic-php55-php-recode atomic-php55-php-snmp atomic-php55-php-soap atomic-php55-php-tidy atomic-php55-php-xml atomic-php55-php-xmlrpc 

Requires: atomic-php56-php atomic-php56-php-bcmath atomic-php56-php-cli atomic-php56-php-common atomic-php56-php-devel atomic-php56-php-enchant atomic-php56-php-fpm atomic-php56-php-gd atomic-php56-php-gmp atomic-php56-php-imap atomic-php56-php-interbase atomic-php56-php-intl atomic-php56-php-ldap atomic-php56-php-mbstring atomic-php56-php-mcrypt atomic-php56-php-mssql atomic-php56-php-mysqlnd atomic-php56-php-odbc atomic-php55-php-opcache atomic-php56-php-pdo atomic-php56-php-pgsql atomic-php56-php-process atomic-php56-php-pspell atomic-php56-php-recode atomic-php56-php-snmp atomic-php56-php-soap atomic-php56-php-tidy atomic-php56-php-xml atomic-php56-php-xmlrpc 

%if 0%{?rhel} >= 6
Requires: atomic-php70-php atomic-php70-php-bcmath atomic-php70-php-cli atomic-php70-php-common atomic-php70-php-devel atomic-php70-php-enchant atomic-php70-php-fpm atomic-php70-php-gd atomic-php70-php-gmp atomic-php70-php-imap atomic-php70-php-interbase atomic-php70-php-intl atomic-php70-php-ldap atomic-php70-php-mbstring atomic-php70-php-mcrypt atomic-php70-php-mysqlnd atomic-php70-php-odbc atomic-php55-php-opcache atomic-php70-php-pdo atomic-php70-php-pgsql atomic-php70-php-process atomic-php70-php-pspell atomic-php70-php-recode atomic-php70-php-snmp atomic-php70-php-soap atomic-php70-php-tidy atomic-php70-php-xml atomic-php70-php-xmlrpc  atomic-php70-php-pecl-redis

%endif

 
%description
The Plesk PHP Panda (P3) is a suite of multiple PHP versions to an alternate location
Allowing the default system version of PHP to remain in place. It is primarily 
designed for Plesk hosting environments, but can be used on any RPM based system.

* PHP 5.4
* PHP 5.5
* PHP 5.6
* PHP 7.0


%prep

%build

%install
mkdir -p %{buildroot}/usr/share/doc/plesk-php-panda/
install -m0644 %{SOURCE0} %{buildroot}/usr/share/doc/plesk-php-panda/README



%post 
#if [ $1 = 1 ]; then
# Install
if [ -f /usr/local/psa/bin/php_handler ]; then

	if grep -q ^11 /usr/local/psa/version; then
		LEGACY_HANDLER=1
	fi

	# 5.3
	# This is in php53-panda

	# 5.4
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 5.4"; then
		if [ $LEGACY_HANDLER  ]; then
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.4" -path "/opt/atomic/atomic-php54/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php54/root/etc/php.ini"  -type fastcgi -id "fastcgi-54"
		else
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.4" -path "/opt/atomic/atomic-php54/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php54/root/etc/php.ini" -clipath "/opt/atomic/atomic-php54/root/usr/bin/php" -type fastcgi -id "fastcgi-54"
		fi

	fi


	# 5.5
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 5.5"; then
		if [ $LEGACY_HANDLER  ]; then
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.5" -path "/opt/atomic/atomic-php55/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php55/root/etc/php.ini"  -type fastcgi -id "fastcgi-55"
		else
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.5" -path "/opt/atomic/atomic-php55/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php55/root/etc/php.ini" -clipath "/opt/atomic/atomic-php55/root/usr/bin/php" -type fastcgi -id "fastcgi-55"
		fi
	fi

	# 5.6
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 5.6"; then
		if [ $LEGACY_HANDLER  ]; then
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.6" -path "/opt/atomic/atomic-php56/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php56/root/etc/php.ini" -type fastcgi -id "fastcgi-56"
		else
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.6" -path "/opt/atomic/atomic-php56/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php56/root/etc/php.ini" -clipath "/opt/atomic/atomic-php56/root/usr/bin/php" -type fastcgi -id "fastcgi-56"
		fi
	fi
%if 0%{?rhel} >= 6
	# 7.0
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 7.0"; then
		if [ $LEGACY_HANDLER  ]; then
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 7.0" -path "/opt/atomic/atomic_php70/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic_php70/root/etc/php.ini" -type fastcgi -id "fastcgi-70"
		else
			/usr/local/psa/bin/php_handler --add -displayname "Atomic 7.0" -path "/opt/atomic/atomic_php70/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic_php70/root/etc/php.ini" -clipath "/opt/atomic/atomic_php70/root/usr/bin/php" -type fastcgi -id "fastcgi-70"
		fi
	fi
%endif
fi

#fi

#%preun


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/doc/plesk-php-panda/README

%changelog
* Tue Jun 7 2016 Scott R. Shinn <scott@atomicorp.com> - 1.0-3
- Add redis support

* Wed Dec 2 2015 Scott R. Shinn <scott@atomicorp.com> - 1.0-2
- BugFix for 7.0 label

* Mon Aug 17 2015 Scott R. Shinn <scott@atomicorp.com> - 1.0-1
- Fix for 7.0 support

* Fri Aug 14 2015 Scott R. Shinn <scott@atomicorp.com> - 0.9-9
- Add PHP 7.0 support for el6 & el7

* Tue Aug 11 2015 Scott R. Shinn <scott@atomicorp.com> - 0.8-8
- Add cgi-path exception for plesk 11.5 compatibility

* Tue Apr 28 2015 Scott R. Shinn <scott@atomicorp.com> - 0.7-7
- Add cgi-path for plesk 12.1 compatibility

* Wed Nov 19 2014 Scott R. Shinn <scott@atomicorp.com> - 0.6-6
- Drop debuginfo dependency

* Wed May 21 2014 Scott R. Shinn <scott@atomicorp.com> - 0.6-5
- Moved php 5.2 into its own panda.

* Wed Mar 12 2014 Scott R. Shinn <scott@atomicorp.com> - 0.5-4
- Add PHP 5.2 support

* Sun Feb 23 2014 Scott R. Shinn <scott@atomicorp.com> - 0.4-1
- Add PHP 5.6 support

* Fri Nov 22 2013 Scott R. Shinn <scott@atomicorp.com> - 0.1-0
- Inital release
